#!/usr/bin/perl

package DEMARC_config;

use strict;


##############################
#  Config done as module to avoid having to parse a config file 
#  on every page hit.

##################################
sub get_config_hash{

my %conf;

$conf{'monitor_sid'}                     = 1;

$conf{'db_user'}                         =  "snort";
$conf{'db_passwd'}                       =  "YOUR_PASSWORD";
$conf{'db_host'}                         =  "127.0.0.1";
$conf{'db_name'}                         =  "snort";

$conf{'whois_command'}                   = "/usr/bin/whois";
$conf{'traceroute_command'}              = "/usr/sbin/traceroute";
$conf{'nslookup_command'}                = "/usr/bin/nslookup";
$conf{'ping_command'}                    = "/usr/sbin/ping";

$conf{'allow_anonymous_access'}          = 0;

$conf{'use_cache'}                       = 1;

#####################################################################################
#  If you followed the installation instructions, you shouldn't have
#  to change anything below this line.

$conf{'v_base_path'}                     = "/dm";

$conf{'detect_basic_auth'}               = 1;  #Auto deMIME basic authentication in payload?
$conf{'default_limit'}                   = 60;

$conf{'use_Apache_DBI_with_mod_perl'}    = 1;

$conf{'allow_user_to_change_email'}      = 1; #regular users - admins can always change their email

$conf{'validate_ip'}                     = 1; #1||0 for checking session ID comes from the same IP every time
                                                 # ONLY change if you are having problems with people
                                                 # checking from proxies like AOL where IPs appear to change
                                                 # over the course of a single session

#ONLY IF YOU ARE HAVING PROBLEMS LOGGING IN FOR THE FIRST TIME... DO NOT NOT NOT LEAVE THIS ON!
$conf{'anonymous_user_is_admin'}         = 0;

$conf{'session_timeout_minutes'}= 30; #number of minutes for a user's session to timout after if idle

# if you enable the following bypass flag, please understand that
# unless you own and trust ALL machines on your network, you must
# assume that someone can and WILL compromise DEMARC by sniffing
# the admin passwords!
$conf{'bypass_admin_lockout_on_no_ssl'}  = 0;

$conf{'allowed_cache_minutes'}           = 4;

$conf{'allowed_long_cache_minutes'}      = 60;


return %conf;
}

##################################

1;
