#!/usr/bin/perl



print "\n"x25;
$|=1;

@needed_pms = qw( Digest::MD5
						DBI
						CGI
						CGI::Cookie
						DBD::mysql
					);
@dont_have_pms;
@do_have_pms;

foreach (@needed_pms){
	$@ = ();
	print "checking for $_...\n";
	$igot = `perl -e 'use $_' 2>&1`;
	if($igot=~/can't locate/i){
		push (@dont_have_pms,$_);
	}
	else{
		push (@do_have_pms,$_);
	}
}
print "\n";

print "\nOK, you have these needed perl modules:\n" if (@do_have_pms);
foreach (@do_have_pms){
	print "$_\n";
}

print "\nYou DO NOT appear to have these needed perl modules:\n" if (@dont_have_pms);
foreach(@dont_have_pms){
	print "$_\n";
}

if (@dont_have_pms){
print << "EOF";
It appears you still need at least one perl module.

I can attempt to retrieve it using CPAN

If it fails, please type this command in a shell (as root)
to try to get the modules manually before rerunning this
script:

perl -MCPAN -e 'install <MODULE_NAME>'

if that doesn't work, please visit:
http://search.cpan.org
and retrieve and install the Perl Modules
manually before rerunning this script.

Now are you ready to begin? y/n [y] >
EOF

chomp ($answer = <STDIN>);
if ($answer=~/n/i){
   die "OK then, please execute $0 again when you're ready!\n";
}
else{
   print "\nOK, lets begin...\n\n";
}

foreach (@dont_have_pms){
	print "Executing: perl -MCPAN -e 'install $_' \n\n";
	system ("perl -MCPAN -e 'install $_'");
}

# now check for the modules again:
print "\n\n\n";
foreach (@dont_have_pms){
   $@ = ();
   print "checking again for $_...\n";
   $igot = `perl -e 'use $_' 2>&1`;
   if($igot=~/can't locate/i){
      push (@still_dont_have_pms,$_);
   }
}
if (@still_dont_have_pms){
print << "EOF";


OK, something wen't wrong, you're going to have
to install the following modules manually:

EOF

foreach (@still_dont_have_pms){
	print $_ . "\n";
}
print "\n";
print << "EOF";
It appears you still need at least one perl module.


Since it failed, please type this command in a shell (as root)
to try to get the modules manually before rerunning this
script:

perl -MCPAN -e 'install <MODULE_NAME>'

if that doesn't work, please visit:
http://search.cpan.org
and retrieve and install the Perl Modules
manually before rerunning this script.

EOF
exit;
}
}


print << 'EOF';


Alright!!! You've now got all the perl modules installed...

EOF

